Package ru.bitel.bgbilling.kernel.tariff.common.bean

# Class TariffVar

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.tariff.common.bean.TariffVar

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class TariffVar extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `TariffVar.Builder`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TariffVar()`
  `TariffVar(int id, String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TariffVar.Builder`
  `builder()`
  `TariffVar`
  `copyTariffVar()`
  `String`
  `getDefaultValue()`
  `int`
  `getModuleId()`
  `int`
  `getTariffPlanId()`
  `int`
  `getTopId()`
  `TariffVarType`
  `getType()`
  `int`
  `getUpId()`
  `TariffVar`
  `setDefaultValue(String defaultValue)`
  `TariffVar`
  `setModuleId(int moduleId)`
  `TariffVar`
  `setTariffPlanId(int tariffPlanId)`
  `TariffVar`
  `setTopId(int topId)`
  `TariffVar`
  `setType(TariffVarType type)`
  `TariffVar`
  `setUpId(int upId)`
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### TariffVar

    public TariffVar()

  - ### TariffVar

    public TariffVar(int id, String title)

- ## Method Details

  - ### getUpId

    public int getUpId()

  - ### getTopId

    public int getTopId()

  - ### getTariffPlanId

    public int getTariffPlanId()

  - ### getType

    public TariffVarType getType()

  - ### getModuleId

    public int getModuleId()

  - ### getDefaultValue

    public String getDefaultValue()

  - ### setUpId

    public TariffVar setUpId(int upId)

  - ### setTopId

    public TariffVar setTopId(int topId)

  - ### setTariffPlanId

    public TariffVar setTariffPlanId(int tariffPlanId)

  - ### setType

    public TariffVar setType(TariffVarType type)

  - ### setModuleId

    public TariffVar setModuleId(int moduleId)

  - ### setDefaultValue

    public TariffVar setDefaultValue(String defaultValue)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `IdTitle`

  - ### copyTariffVar

    public TariffVar copyTariffVar()

  - ### builder

    public static TariffVar.Builder builder()